import { SubscribeToMotionChangesParam } from './subscribe-to-motion-changes-param';
/**
 * Subscribes to acceleration changes and saves them to Deep
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Acceleration data is saved to Deep by using {@link saveMotionInfo}
 */
export declare function subscribeToAccelerationChanges({ deep, deviceLinkId, }: SubscribeToMotionChangesParam): Promise<import("@capacitor/core").PluginListenerHandle>;
